# -*- encoding: utf-8 -*-
from django.conf.urls import patterns, url

from .views import *

urlpatterns = patterns(
    '',
    url(r'^$', EventGallery.as_view(), name='event-gallery'),
    url(r'^(?P<event>[\d]+)/$', EventPhotoList.as_view(),
        name='event-photo-list'),
    url(r'^(?P<event>[\d]+)/upload/$', EventPhotoUpload.as_view(),
        name='event-photo-upload'),
    url(r'^(?P<event>[\d]+)/(?P<pk>[\d]+)/$', EventPhoto.as_view(),
        name='event-photo'),
    url(r'^delete/(?P<pk>[\d]+)/$', DeleteEventPhoto.as_view(),
        name='delete-event-photo'),
    url(r'^upload/$', EventPhotoUpload.as_view(), name='event-photo-upload'),
)